List organization conversations
curl --request GET \
--url https://api.replicas.dev/v1/organization/conversations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.replicas.dev/v1/organization/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.replicas.dev/v1/organization/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.replicas.dev/v1/organization/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.replicas.dev/v1/organization/conversations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.replicas.dev/v1/organization/conversations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.replicas.dev/v1/organization/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"conversations": [
{
"chat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_name": "<string>",
"workspace_status": "active",
"workspace_source": "api",
"workspace_created_at": "2023-11-07T05:31:56Z",
"workspace_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_creator_email": "jsmith@example.com",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "claude",
"title": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"parent_chat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"senders": [
{
"sender_user_id": "<string>",
"sender_email": "<string>",
"recorded_at": "2023-11-07T05:31:56Z",
"message_id": "<string>"
}
]
}
],
"total": 123,
"limit": 123,
"next_cursor": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}Replica
List organization conversations
Exports retained conversations from every replica without waking them. Requires an organization API key. Deleted chats and conversations outside your data retention window are omitted.
GET
/
v1
/
organization
/
conversations
List organization conversations
curl --request GET \
--url https://api.replicas.dev/v1/organization/conversations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.replicas.dev/v1/organization/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.replicas.dev/v1/organization/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.replicas.dev/v1/organization/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.replicas.dev/v1/organization/conversations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.replicas.dev/v1/organization/conversations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.replicas.dev/v1/organization/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"conversations": [
{
"chat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_name": "<string>",
"workspace_status": "active",
"workspace_source": "api",
"workspace_created_at": "2023-11-07T05:31:56Z",
"workspace_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_creator_email": "jsmith@example.com",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "claude",
"title": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"parent_chat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"senders": [
{
"sender_user_id": "<string>",
"sender_email": "<string>",
"recorded_at": "2023-11-07T05:31:56Z",
"message_id": "<string>"
}
]
}
],
"total": 123,
"limit": 123,
"next_cursor": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}Authorizations
Headers
API version. 2026-10-07 returns snake_case responses. See versioning.
Available options:
2026-10-07 Query Parameters
Opaque cursor from next_cursor. It preserves the initial replica and environment filters and stable artifact creation order. Filters may be omitted on later requests but cannot be changed. Chat and replica deletion and restoration remain live and require restarting the export for a consistent total.
⌘I